d1 = open("nomer")
getfirst(d1)
nom = 'Номер_док.'.d1
close(d1)

d=open("dover")
if Find(d,1,1,nom) != 0 then  goto 100

dr=open("rekv")
getfirst(dr)
print "                               Типовая межведомственная фома N М-2 "
print "                                           ┌──────────────┐          "
print "                               Код по ОКУД │ 0303001    3 │          "
print "                                           └──────────────┘          "
print " Предприятие "+trim('Название1'.dr)
print " Адрес "+trim('Адрес,тел.'.dr)
print " ИНН "+trim('ИНН'.dr),", ОКОНХ "+trim('Код_ОКОНХ'.dr),", ОКПО "+trim('Код_ОКПО'.dr),", БИК "+trim('БИК'.dr)
print " Счет N "+trim('Р/счет'.dr)," в "+trim('Банк1'.dr)+" "+trim('Банк2'.dr)
print " Корреспондентский счет "+trim('К/счет'.dr)
print " "
print "                             ДОВЕРЕННОСТЬ N ", str('Номер_док.'.d,2,0)
print "                                                                     "
mec1=substr('Дата'.d,5,2)
mec2=substr('Дата_В'.d,5,2)
god1=substr('Дата'.d,1,4)
god2=substr('Дата_В'.d,1,4)
if mec1 = "01" then m1 = " января "+god1+" г."
if mec1 = "02" then m1 = " февраля "+god1+" г."
if mec1 = "03" then m1 = " марта "+god1+" г."
if mec1 = "04" then m1 = " апреля "+god1+" г."
if mec1 = "05" then m1 = " мая "+god1+" г."
if mec1 = "06" then m1 = " июня "+god1+" г."
if mec1 = "07" then m1 = " июля "+god1+" г."
if mec1 = "08" then m1 = " августа "+god1+" г."
if mec1 = "09" then m1 = " сентября "+god1+" г."
if mec1 = "10" then m1 = " октября "+god1+" г."
if mec1 = "11" then m1 = " ноября "+god1+" г."
if mec1 = "12" then m1 = " декабря "+god1+" г."
if mec2 = "01" then m2 = " января "+god2+" г."
if mec2 = "02" then m2 = " февраля "+god2+" г."
if mec2 = "03" then m2 = " марта "+god2+" г."
if mec2 = "04" then m2 = " апреля "+god2+" г."
if mec2 = "05" then m2 = " мая "+god2+" г."
if mec2 = "06" then m2 = " июня "+god2+" г."
if mec2 = "07" then m2 = " июля "+god2+" г."
if mec2 = "08" then m2 = " августа "+god2+" г."
if mec2 = "09" then m2 = " сентября "+god2+" г."
if mec2 = "10" then m2 = " октября "+god2+" г."
if mec2 = "11" then m2 = " ноября "+god2+" г."
if mec2 = "12" then m2 = " декабря "+god2+" г."
print " Дата выдачи ", substr('Дата'.d,7,2)+m1
print " Доверенность действительна по ",substr('Дата_В'.d,7,2)+m2
print " "
print " Выдана ",'Должность'.d
print "        ",'ФИО'.d
print " Паспорт, серия ", trim('Паспорт'.d), " выдан ", fldtodate('Дата_П'.d)
print " ",'Выдан_П'.d
print "                                                                     "
print " На получение от ", 'Название'.d
print " товарно-материальных ценностей по ", 'Документ'.d
print " "
print " "
print "        Перечень товарно-материальных ценностей, подлежащих получению"
print " ----------------------------------------------------------------------------"
print " |Пор.N | Товарно-материальные ценности          | Ед.   |Кол-во (прописью) |"
print " |записи|                                        | изм   |                  |"
print " ----------------------------------------------------------------------------"
print " |  1.  |",'Наимен.1'.d,"| ",'Ед.1'.d,"  |",'Кол.1'.d,"|"
print " |  2.  |",'Наимен.2'.d,"| ",'Ед.2'.d,"  |",'Кол.2'.d,"|"
print " |  3.  |",'Наимен.3'.d,"| ",'Ед.3'.d,"  |",'Кол.3'.d,"|"
print " |  4.  |",'Наимен.4'.d,"| ",'Ед.4'.d,"  |",'Кол.4'.d,"|"
print " |  5.  |",'Наимен.5'.d,"| ",'Ед.5'.d,"  |",'Кол.5'.d,"|"
print " |  6.  |",'Наимен.6'.d,"| ",'Ед.6'.d,"  |",'Кол.6'.d,"|"
print " |  7.  |",'Наимен.7'.d,"| ",'Ед.7'.d,"  |",'Кол.7'.d,"|"
print " |  8.  |",'Наимен.8'.d,"| ",'Ед.8'.d,"  |",'Кол.8'.d,"|"
print " ----------------------------------------------------------------------------"
print " "
print "Подпись лица, получившего доверенность ________________________ удостоверяем"
print " "
print " Руководитель предприятия _____________________ "
print " (организации, учреждения)"
print " Главный бухгалтер ____________________________ "
print " (организации, учреждения)"
print " "
print "____________________________________________________________________________"
print ""

100

close(d)
close(dr)
end
